"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasType = void 0;
const visitor_1 = require("./semantic/visitor");
class HasTypeVisitor extends visitor_1.Visitor {
    constructor(root, type) {
        super(root);
        this.type = type;
        this.found = false;
    }
    visit(node) {
        if (node.constructor === this.type) {
            this.found = true;
        }
        super.visit(node);
    }
}
function hasType(root, type) {
    const visitor = new HasTypeVisitor(root, type);
    visitor.process();
    return visitor.found;
}
exports.hasType = hasType;
