import type { Token } from "./token";
export declare class LexerError extends Error {
}
export declare class Lexer {
    private readonly source;
    readonly filename: string;
    static readonly PRIMITIVES: Set<string>;
    static readonly KEYWORDS: Set<string>;
    private startPos;
    private startLine;
    private startColumn;
    private pos;
    private line;
    private column;
    constructor(source: string, filename?: string);
    private currentChar;
    private nextChar;
    nextToken(): Token | null;
}
