import { AstRoot } from "./ast";
import { Lexer } from "./lexer";
export declare class ParserError extends Error {
}
export declare class Parser {
    private readonly lexers;
    private token;
    private annotations;
    private warnings;
    private readFileSync;
    constructor(source: Lexer | string | Array<Lexer | string>);
    private nextToken;
    private multiExpect;
    private expect;
    parse(): AstRoot;
    private acceptAnnotations;
    private checkCannotHaveAnnotationsHere;
    private parseTypeDefinition;
    private parseError;
    private parseOperation;
    private parseEnum;
    private parseField;
    private parseStruct;
    private parseType;
}
