"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MatchTypeDefinitionsVisitor = void 0;
const visitor_1 = require("./visitor");
const ast_1 = require("../ast");
class MatchTypeDefinitionsVisitor extends visitor_1.Visitor {
    visit(node) {
        if (node instanceof ast_1.TypeReference) {
            const definition = this.root.typeDefinitions.find(t => t.name === node.name);
            if (definition === undefined) {
                throw new visitor_1.SemanticError(`Could not find type '${node.name}' at ${node.location}`);
            }
            node.type = definition.type;
        }
        super.visit(node);
    }
}
exports.MatchTypeDefinitionsVisitor = MatchTypeDefinitionsVisitor;
