"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckEmptyStructOrEnumVisitor = void 0;
const visitor_1 = require("./visitor");
const ast_1 = require("../ast");
class CheckEmptyStructOrEnumVisitor extends visitor_1.Visitor {
    visit(node) {
        super.visit(node);
        if (node instanceof ast_1.EnumType) {
            if (node.values.length === 0) {
                throw new visitor_1.SemanticError(`Enum '${node.name}' at ${node.location} is empty`);
            }
        }
        if (node instanceof ast_1.StructType) {
            if (node.fields.length === 0) {
                throw new visitor_1.SemanticError(`Struct '${node.name}' at ${node.location} is empty`);
            }
        }
    }
}
exports.CheckEmptyStructOrEnumVisitor = CheckEmptyStructOrEnumVisitor;
