"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CollectStructAndEnumTypesVisitor = void 0;
const visitor_1 = require("./visitor");
const ast_1 = require("../ast");
class CollectStructAndEnumTypesVisitor extends visitor_1.Visitor {
    constructor() {
        super(...arguments);
        this.visited = new Set();
    }
    visit(node) {
        super.visit(node);
        if (this.visited.has(node)) {
            return;
        }
        this.visited.add(node);
        if (node instanceof ast_1.StructType) {
            this.root.structTypes.push(node);
        }
        else if (node instanceof ast_1.EnumType) {
            this.root.enumTypes.push(node);
        }
    }
}
exports.CollectStructAndEnumTypesVisitor = CollectStructAndEnumTypesVisitor;
