"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckDuplicatedMembersOnEnumVisitor = void 0;
const visitor_1 = require("./visitor");
const ast_1 = require("../ast");
class CheckDuplicatedMembersOnEnumVisitor extends visitor_1.Visitor {
    visit(node) {
        super.visit(node);
        if (node instanceof ast_1.EnumType) {
            if (node.values.length !== new Set(node.values.map(x => x.value)).size) {
                throw new visitor_1.SemanticError(`Enum '${node.name}' at ${node.location} has duplicated members`);
            }
        }
    }
}
exports.CheckDuplicatedMembersOnEnumVisitor = CheckDuplicatedMembersOnEnumVisitor;
